my $expected_version = "10.29";
print("import: Minion\n");
use Minion;

if (defined Minion->VERSION) {
	my $given_version = Minion->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Minion->VERSION . '
');

}
print("import: Minion::Backend\n");
use Minion::Backend;

if (defined Minion::Backend->VERSION) {
	my $given_version = Minion::Backend->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Minion::Backend->VERSION . '
');

}
print("import: Minion::Backend::Pg\n");
use Minion::Backend::Pg;

if (defined Minion::Backend::Pg->VERSION) {
	my $given_version = Minion::Backend::Pg->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Minion::Backend::Pg->VERSION . '
');

}
print("import: Minion::Command::minion\n");
use Minion::Command::minion;

if (defined Minion::Command::minion->VERSION) {
	my $given_version = Minion::Command::minion->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Minion::Command::minion->VERSION . '
');

}
print("import: Minion::Command::minion::job\n");
use Minion::Command::minion::job;

if (defined Minion::Command::minion::job->VERSION) {
	my $given_version = Minion::Command::minion::job->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Minion::Command::minion::job->VERSION . '
');

}
print("import: Minion::Command::minion::worker\n");
use Minion::Command::minion::worker;

if (defined Minion::Command::minion::worker->VERSION) {
	my $given_version = Minion::Command::minion::worker->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Minion::Command::minion::worker->VERSION . '
');

}
print("import: Minion::Iterator\n");
use Minion::Iterator;

if (defined Minion::Iterator->VERSION) {
	my $given_version = Minion::Iterator->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Minion::Iterator->VERSION . '
');

}
print("import: Minion::Job\n");
use Minion::Job;

if (defined Minion::Job->VERSION) {
	my $given_version = Minion::Job->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Minion::Job->VERSION . '
');

}
print("import: Minion::Worker\n");
use Minion::Worker;

if (defined Minion::Worker->VERSION) {
	my $given_version = Minion::Worker->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Minion::Worker->VERSION . '
');

}
